﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Poutre
{
    class ClassePoutre
    {
        // la classe poutre définit un type qui encapsule 4 informations
        public double largeur;
        public double longueur;
        public double hauteur;
        public string reference;
       
        // ceci est le constructeur, il permettra de créer des objets de type ClassePoutre
        // avec leurs informations en utilisant "new"
        public ClassePoutre(double la, double lo, double h, string r)
        {
            largeur = la;
            longueur = lo;
            hauteur = h;
            reference = r;
        }

        // la méthode d'affichage, elle n'est pas statique
        public void AffichePoutre()
        {
            Console.Write("Poutre de longueur :"); Console.WriteLine(longueur);
            Console.Write("largeur :"); Console.WriteLine(largeur);
            Console.Write("hauteur :"); Console.WriteLine(hauteur);
            Console.Write("reference :"); Console.WriteLine(reference);
        }

        // la méthode de calcul de la section, elle n'est pas statique
        public double Section()
        {
            return hauteur * largeur;
        }

        // le main reste static car il ne s'pplique à aucun objet. il est le point de démarrage du programme
        static void Main(string[] args)
        {
            Console.WriteLine("version avec classe");
            // on créé deux objets de type ClassePoutre en donnant leur caractéristiques gràce au constructeur
            ClassePoutre poutre_sdb = new ClassePoutre(2.5, 1.5, 4.5, "REFP150");
            ClassePoutre poutre_cuis = new ClassePoutre(2.5, 12, 3, "REFP230");

            // on appelle les méthodes
            // méthode pas statique, elles s'appliquent à un objet, on écrit variable.fonction()
            poutre_sdb.AffichePoutre();
            Console.WriteLine("section " + poutre_sdb.Section());
            poutre_cuis.AffichePoutre();
            Console.WriteLine("section " + poutre_cuis.Section());
            Console.ReadLine();
        }
    }
}
