﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Poutre
{
    class Program
    {
        // exemple de struct pour une poutre
        struct Poutre
        {
            public double largeur;
            public double longueur;
            public double hauteur;
            public string reference;
        };

        // procédure statique pour afficher
        static void affich_poutre(Poutre var)
        {
            Console.Write("Poutre de longueur :"); Console.WriteLine(var.longueur);
            Console.Write("largeur :"); Console.WriteLine(var.largeur);
            Console.Write("hauteur :"); Console.WriteLine(var.hauteur);
            Console.Write("reference :"); Console.WriteLine(var.reference);
        }

        // fonction statique qui renvoie la section 
        static double Section(Poutre p)
        {
            return p.hauteur * p.largeur;
        }

        static void Main(string[] args)
        {
            Console.WriteLine("version avec struct");
            // on déclare 2 variables de type poutre
            Poutre poutre_sdb;
            Poutre poutre_cuis;

            // on affecte leurs valeurs
            poutre_sdb.longueur = 2.5;
            poutre_sdb.largeur = 1.5;
            poutre_sdb.hauteur = 4.5;
            poutre_sdb.reference = "REFP150";

            poutre_cuis.longueur = 1.3;
            poutre_cuis.largeur = 8;
            poutre_cuis.hauteur = 0.3;
            poutre_cuis.reference = "REFH345";

            // on utilise les fontions
            affich_poutre(poutre_sdb);
            Console.WriteLine("section: "+ Section(poutre_sdb));
            affich_poutre(poutre_cuis);
            Console.WriteLine("section: " + Section(poutre_cuis));
            Console.ReadLine();

        }
    }
}
